$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'CH341SER.EXE'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  FileType       = 'exe'
  File           = $fileLocation
  SilentArgs     = '/S'
  Checksum       = '74d12019023390d27739625773005ecccf1bc6c4547e0c46088e86665e519524'
  ChecksumType64 = 'sha256'
  ValidExitCodes = @(0, 1223)
}

Install-ChocolateyInstallPackage @packageArgs
